Get user position for a specific KVault
curl --request GET \
--url https://api.kamino.finance/kvaults/users/{userPubkey}/positions/{vaultPubkey}const options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/users/{userPubkey}/positions/{vaultPubkey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/users/{userPubkey}/positions/{vaultPubkey}"
response = requests.get(url)
print(response.text)false{
"vaultAddress": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"stakedShares": "1234.56789",
"unstakedShares": "1234.56789",
"totalShares": "1234.56789"
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"metadata": "Account could not be found"
}{
"error": "An internal error occurred"
}User Data
Get user position for a specific KVault
Get a single user position for a Kamino Earn Vault the user currently has currently deposited into. Returns staked and unstaked shares.
GET
/
kvaults
/
users
/
{userPubkey}
/
positions
/
{vaultPubkey}
Get user position for a specific KVault
curl --request GET \
--url https://api.kamino.finance/kvaults/users/{userPubkey}/positions/{vaultPubkey}const options = {method: 'GET'};
fetch('https://api.kamino.finance/kvaults/users/{userPubkey}/positions/{vaultPubkey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/kvaults/users/{userPubkey}/positions/{vaultPubkey}"
response = requests.get(url)
print(response.text)false{
"vaultAddress": "VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd",
"stakedShares": "1234.56789",
"unstakedShares": "1234.56789",
"totalShares": "1234.56789"
}{
"error": "Invalid query request",
"details": [
{
"code": "invalid_union",
"errors": [
[
{
"code": "custom",
"path": [],
"message": "Invalid date string"
}
],
[
{
"expected": "number",
"code": "invalid_type",
"path": [],
"message": "Invalid input: expected number, received string"
}
]
],
"path": [
"start"
],
"message": "Invalid input"
}
]
}{
"metadata": "Account could not be found"
}{
"error": "An internal error occurred"
}Path Parameters
Valid base58-encoded address of the vault
Example:
"HDsayqAsDWy3QvANGqh2yNraqcD8Fnjgh73Mhb3WRS5E"
Valid base58-encoded address of the user wallet
Example:
"AxqtG9SHDkZTLSWg81Sp7VqAzQpRqXtR9ziJ3VQAS8As"
Response
OK
Address of the Kamino Earn Vault
Example:
"VEG1EMtttdHunMbSza8uoms1R18VXmYSph2bBpHcSJd"
The number of Kamino Earn Vault shares staked in a farm
Example:
"1234.56789"
The number of Kamino Earn Vault shares held in the user wallet
Example:
"1234.56789"
The total number of Kamino Earn Vault shares both held and staked by the user
Example:
"1234.56789"